org.apache.cassandra.dht

## Class RangeStreamer.SingleDatacenterFilter

- java.lang.Object
- - org.apache.cassandra.dht.RangeStreamer.SingleDatacenterFilter

All Implemented Interfaces:
  RangeStreamer.ISourceFilter

Enclosing class:
  RangeStreamer

    public static class RangeStreamer.SingleDatacenterFilter
    extends java.lang.Object
    implements RangeStreamer.ISourceFilter

Source filter which excludes any endpoints that are not in a specific data center.

### Constructor Summary

Constructors
Constructor and Description
`SingleDatacenterFilter(IEndpointSnitch snitch, java.lang.String sourceDc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `shouldInclude(java.net.InetAddress endpoint)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingleDatacenterFilter

    public SingleDatacenterFilter(IEndpointSnitch snitch,
                                  java.lang.String sourceDc)

### Method Detail

#### shouldInclude

    public boolean shouldInclude(java.net.InetAddress endpoint)

Specified by:
  `shouldInclude` in interface `RangeStreamer.ISourceFilter`